package com.gitlink.softbot.service.user;

import com.gitlink.softbot.global.exception.BotException;
import com.gitlink.softbot.vo.*;
import org.springframework.transaction.annotation.Transactional;


public interface IUserService {
    //1.Bot注冊
     BotOutputVO registerBot(BotInputVO botVO) throws BotException;
    //2.修改配置信息
     BotOutputVO updateBot(BotInputVO botInputVO) throws BotException;
    //返回用用户注册所有的Bot信息
     GetBotResponse getBots(Integer userId);

    void checkBotName(Integer botId, String botName) throws BotException;

    //删除Bot
     void deleteBot (DeleteBotRequest deleteBotRequest) throws BotException;
    //上市Bot
    void botToMarket(BotToMarketRequest botToMarketRequest) throws BotException;
    //查看我的所有上市的Bot
     GetMarketBotsResponse getMarketBots(GetMarketBotsRequest getMarketBotsRequest);
    //根据BotId返回Bot信息
     MarketBotVO getMarketBotById(Integer botId) throws BotException;
    //安装Bot
     void installMarketBot(InstallMarketBotRequest installMarketBotRequest) throws BotException;
    //安装Bot
    void unInstallMarketBot(UnInstallMarketBotRequest unInstallMarketBotRequest) throws BotException;
    //用户配置安装的Bot
     void updateInstallBot(UpdateInstallBotRequest updateInstallBotRequest) throws BotException;
    //删除安装的Bot
     void deleteInstallBot(DeleteInstallBotRequest deleteInstallBotRequest) throws BotException;
     //修改上市bot
    void updateMarketBot(BotToMarketRequest botToMarketRequest)throws BotException;
    //下架bot
    void downMarketBot(Integer botId) throws BotException;
    //查看所有安装的Bot
     GetInstallBotResponse getInstallBot(GetInstallBotRequest getInstallBotRequest)throws BotException;
    //转让Bot
     void transferBot(TransferBotRequest transferBotRequest) throws BotException;
    //查看bot转让状态
     GetTransferFromBotResponse getTransferBotState(GetTransferFromBotRequest getTransferFromBotRequest);
    //转让者取消转让
     void cancelTransferBot(CancelTransferBotRequest cancelTransferBotRequest) throws BotException;
    //待转让者查看带转让Bot记录
     GetTransferToBotResponse getTransferToBot(GetTransferToBotRequest getTransferToBotRequest);
    //接收TransferBot
     void receiveTransferBot(ReceiveTransferBotRequest receiveTransferBotRequest) throws BotException;
    //拒绝接收转让Bot
     void refuseTransferBot(RefuseTransferBotRequest refuseTransferBotRequest) throws BotException;
     //判断是否安装过此bot
     boolean judgeIsInstallBot(Integer userId,Integer botId);

     GetAllInstallBotsResponse getAllInstallBots(Integer userId);

     GetStoreAllInstallBotResponse getStoreAllInstallBots(Integer storeId);

     GetRegisterBotResponse getRegisterBot(Integer userId,Integer botId) throws BotException;
}
