/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50729
 Source Host           : localhost:3306
 Source Schema         : softbot

 Target Server Type    : MySQL
 Target Server Version : 50729
 File Encoding         : 65001

 Date: 12/01/2023 11:54:00
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for bot
-- ----------------------------
DROP TABLE IF EXISTS `bot`;
CREATE TABLE `bot`  (
                        `id` int(255) NOT NULL AUTO_INCREMENT COMMENT '主键',
                        `bot_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'bot名称',
                        `bot_des` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT 'bot描述',
                        `webhook` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'bot回调url',
                        `is_public` tinyint(255) NULL DEFAULT NULL COMMENT '0:私有1：公开',
                        `logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'logo',
                        `state` tinyint(255) NULL DEFAULT NULL COMMENT '0:挂起1：工作',
                        `client_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端id（后台生成）',
                        `client_secret` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端密钥（后台生成）',
                        `web_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主页网址',
                        `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型',
                        `install_num` int(11) NULL DEFAULT 0 COMMENT '下载数量',
                        `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                        `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                        PRIMARY KEY (`id`) USING BTREE,
                        UNIQUE INDEX `name`(`bot_name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 801 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of bot
-- ----------------------------
INSERT INTO `bot` VALUES (782, 'asd阿松大', 'miaoshusd', 'www.hauhahasd.com', 1, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdret4', '送的饭', 0, '2022-12-29 11:56:56', '2022-12-29 11:56:56');
INSERT INTO `bot` VALUES (783, 'botnameegdret', 'miaoshusd', 'www.hauhahasd.com', 1, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdret', '阿松大', 0, '2022-12-29 11:56:58', '2022-12-29 11:56:58');
INSERT INTO `bot` VALUES (791, 'botnameegdretui', 'miaoshusd', 'www.hauhahasd.com', 1, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdretui', '阿松大', 0, '2022-12-29 18:21:57', '2022-12-29 18:21:57');
INSERT INTO `bot` VALUES (792, 'botnameegdretop', 'miaoshusd', 'www.hauhahasd.com', 0, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdretop', NULL, 0, '2022-12-29 18:34:26', '2022-12-29 18:34:26');
INSERT INTO `bot` VALUES (793, 'botnameegdretopjkl', 'miaoshusd', 'www.hauhahasd.com', 0, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdretopjkl', NULL, 0, '2022-12-29 18:42:26', '2022-12-29 18:42:26');
INSERT INTO `bot` VALUES (794, 'botnameegdretopjklasd', 'miaoshusd', 'www.hauhahasd.com', 0, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdretopjklasd', NULL, 0, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot` VALUES (799, 'botnameegdretopjklasdfdg', 'miaoshusd', 'www.hauhahasd.com', 0, 'asdasdasfdg', 0, 'qwer', 'ert', 'botnameegdretopjklasdfdg', 'asdasd', 0, '2022-12-29 20:07:52', '2022-12-29 20:07:52');

-- ----------------------------
-- Table structure for bot_category
-- ----------------------------
DROP TABLE IF EXISTS `bot_category`;
CREATE TABLE `bot_category`  (
                                 `id` int(11) NOT NULL,
                                 `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of bot_category
-- ----------------------------
INSERT INTO `bot_category` VALUES (1, '接口管理');
INSERT INTO `bot_category` VALUES (2, '合情请求管理');
INSERT INTO `bot_category` VALUES (3, '文档管理');
INSERT INTO `bot_category` VALUES (4, '依赖管理');
INSERT INTO `bot_category` VALUES (5, '代码审阅');
INSERT INTO `bot_category` VALUES (6, '代码质量');
INSERT INTO `bot_category` VALUES (7, '构建');
INSERT INTO `bot_category` VALUES (8, '测试');
INSERT INTO `bot_category` VALUES (9, '部署');
INSERT INTO `bot_category` VALUES (10, '其他');

-- ----------------------------
-- Table structure for bot_limit_event
-- ----------------------------
DROP TABLE IF EXISTS `bot_limit_event`;
CREATE TABLE `bot_limit_event`  (
                                    `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                    `bot_id` int(255) NOT NULL COMMENT 'bot的唯一标识',
                                    `read_write_code` tinyint(4) NOT NULL COMMENT '0：只读1：读写2:无权限',
                                    `read_write_pr` tinyint(4) NOT NULL COMMENT '0：只读1：读写2:无权限',
                                    `auth_category` tinyint(4) NOT NULL COMMENT '0：代码仓库权限1：合并请求权限2:无权限',
                                    `event` tinyint(4) NOT NULL COMMENT '0：git推送到存储库1：创建分支或标签2：删除分支或标签3：合并请求被打开或重新打开4：合并请求被分配\r\n5：无权限',
                                    `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of bot_limit_event
-- ----------------------------
INSERT INTO `bot_limit_event` VALUES (17, 782, 0, 1, 0, 1, '2022-10-02 22:19:34', '2022-10-02 22:19:34');
INSERT INTO `bot_limit_event` VALUES (18, 783, 0, 1, 0, 1, '2022-10-05 19:21:53', '2022-10-05 19:21:53');
INSERT INTO `bot_limit_event` VALUES (19, 791, 0, 1, 0, 1, '2022-10-07 20:19:22', '2022-10-07 20:19:22');
INSERT INTO `bot_limit_event` VALUES (20, 792, 1, 2, 0, 2, '2022-12-29 18:34:26', '2022-12-29 18:34:26');
INSERT INTO `bot_limit_event` VALUES (21, 793, 1, 2, 0, 1, '2022-12-29 18:42:26', '2022-12-29 18:42:26');
INSERT INTO `bot_limit_event` VALUES (22, 793, 2, 1, 1, 3, '2022-12-29 18:42:26', '2022-12-29 18:42:26');
INSERT INTO `bot_limit_event` VALUES (23, 794, 1, 2, 0, 1, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot_limit_event` VALUES (24, 794, 1, 2, 0, 2, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot_limit_event` VALUES (25, 794, 2, 1, 1, 3, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot_limit_event` VALUES (26, 794, 2, 1, 1, 4, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `bot_limit_event` VALUES (27, 799, 1, 2, 0, 1, '2022-12-29 19:30:05', '2022-12-29 19:30:05');
INSERT INTO `bot_limit_event` VALUES (28, 799, 1, 2, 0, 2, '2022-12-29 19:30:05', '2022-12-29 19:30:05');

-- ----------------------------
-- Table structure for install_bot
-- ----------------------------
DROP TABLE IF EXISTS `install_bot`;
CREATE TABLE `install_bot`  (
                                `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `bot_id` int(255) NOT NULL COMMENT 'bot唯一标识',
                                `installer_id` int(255) NOT NULL COMMENT '安装者唯一标识',
                                `store_id` int(255) NOT NULL COMMENT '仓库唯一标识',
                                `state` tinyint(4) NOT NULL COMMENT '0：挂起1：工作2：卸载',
                                `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间 ',
                                `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of install_bot
-- ----------------------------
INSERT INTO `install_bot` VALUES (2, 782, 123, 1, 1, '2022-10-07 20:49:53', '2022-10-07 20:49:53');

-- ----------------------------
-- Table structure for market_bot
-- ----------------------------
DROP TABLE IF EXISTS `market_bot`;
CREATE TABLE `market_bot`  (
                               `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `bot_id` int(255) NOT NULL COMMENT 'bot唯一 标识',
                               `market_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上市名称',
                               `market_desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上市简介',
                               `market_intro` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '详细介绍',
                               `first_func` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主要功能',
                               `second_func` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '次要功能',
                               `webhook` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '回调url',
                               `is_receive_ag1` tinyint(4) NULL DEFAULT 0 COMMENT '0:接收协议1：不接受收开发者协议',
                               `is_receive_ag2` tinyint(4) NULL DEFAULT 0 COMMENT '0:接收协议1：不接受平台协议',
                               `market_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '上市时间',
                               `logo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像',
                               `install_num` int(11) NULL DEFAULT 0 COMMENT '安装次数',
                               `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型',
                               `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                               `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                               PRIMARY KEY (`id`) USING BTREE,
                               UNIQUE INDEX `唯一`(`bot_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 55 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of market_bot
-- ----------------------------
INSERT INTO `market_bot` VALUES (46, 782, 'asd', 'asd', NULL, 'asdsdf', 'asdasd', 'asd', 1, 1, '2022-10-07 19:25:16', 'asd', 0, 'asd', '2022-10-07 19:25:16', '2022-10-07 19:25:16');
INSERT INTO `market_bot` VALUES (49, 783, 'asdasd', 'asd', NULL, 'asdsdf', 'asdasd', 'sad', 1, 1, '2022-10-07 19:25:22', 'sd', 0, 'asd', '2022-10-07 19:25:22', '2022-10-07 19:25:22');
INSERT INTO `market_bot` VALUES (54, 791, 'asder', 'asd', 'asdasd', 'asdsdf', 'asdasd', 'www.asd.com', 0, 0, '2022-12-29 18:22:01', 'asd', 0, 'xcv', '2022-12-29 18:22:01', '2022-12-29 18:22:01');

-- ----------------------------
-- Table structure for register_bot
-- ----------------------------
DROP TABLE IF EXISTS `register_bot`;
CREATE TABLE `register_bot`  (
                                 `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `bot_id` int(255) NOT NULL COMMENT 'bot唯一标识',
                                 `developer_id` int(255) NOT NULL COMMENT 'bot开发者唯一标识',
                                 `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                 PRIMARY KEY (`id`) USING BTREE,
                                 UNIQUE INDEX `bot_id`(`bot_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of register_bot
-- ----------------------------
INSERT INTO `register_bot` VALUES (2, 782, 1234, '2022-10-02 22:19:34', '2022-10-02 22:19:34');
INSERT INTO `register_bot` VALUES (3, 783, 1234, '2022-10-05 19:21:53', '2022-10-05 19:21:53');
INSERT INTO `register_bot` VALUES (4, 791, 1234, '2022-12-29 18:27:41', '2022-12-29 18:27:41');
INSERT INTO `register_bot` VALUES (5, 792, 1234, '2022-12-29 18:34:26', '2022-12-29 18:34:26');
INSERT INTO `register_bot` VALUES (6, 793, 1234, '2022-12-29 18:42:26', '2022-12-29 18:42:26');
INSERT INTO `register_bot` VALUES (7, 794, 1234, '2022-12-29 18:45:54', '2022-12-29 18:45:54');
INSERT INTO `register_bot` VALUES (8, 799, 1234, '2022-12-29 19:30:05', '2022-12-29 19:30:05');

-- ----------------------------
-- Table structure for transfer_bot
-- ----------------------------
DROP TABLE IF EXISTS `transfer_bot`;
CREATE TABLE `transfer_bot`  (
                                 `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `bot_id` int(255) NOT NULL COMMENT 'bot唯一标识',
                                 `transfer_from_id` int(255) NOT NULL COMMENT '转让者唯一标识',
                                 `transfer_to_id` int(255) NOT NULL COMMENT '接收者唯一标识',
                                 `is_success` tinyint(4) NOT NULL COMMENT '0:转让失败，1：转让成功 2:待接收',
                                 `transfer_time` datetime NOT NULL COMMENT '转让时间',
                                 `create_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of transfer_bot
-- ----------------------------
INSERT INTO `transfer_bot` VALUES (1, 782, 456, 789, 1, '2022-10-05 19:37:56', '2023-01-03 10:55:40', '2023-01-03 10:55:40');

SET FOREIGN_KEY_CHECKS = 1;
